#include <iostream>
#include<vector>
#include <cmath>

int main()
{
    int t;
    long long n, m, k;
    std::vector<bool>moze;

    std::cin >> t;

    for (int i = 0; i < t; i++) {
        std::cin >> n >> m >> k;

        long long ost = n % k;
        int temp = 0;
        long long pot = 0;
        for (int i = 0; i < k; i++) {
            if (ost > 0) {
                pot = floor(n / k + 1) / 2 * floor(1 + n / k + 1);
                ost -= 1;
                temp += pot;
            }
            else {
                pot = floor(n / k) / 2 * floor(1 + n / k);
                temp += pot;
            }
        }
        if (temp > m)
            moze.push_back(false);
        else
            moze.push_back(true);
    }

    for (auto it = moze.begin(); it != moze.end(); ++it)
    {
        if (*it == false)
            std::cout << "Nie" << std::endl;
        else
            std::cout << "Tak" << std::endl;
    }

    return 0;
}